<?php
/**
 * Customizer: Sanitization Callbacks
 *
 * This file demonstrates how to define sanitization callback functions for various data types.
 * 
 * @package   Expert Dental Specialist
 * @copyright Copyright (c) 2015, WordPress Theme Review Team
 * @license   http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU General Public License, v2 (or newer)
 */

function expert_dental_specialist_sanitize_checkbox( $expert_dental_specialist_checked ) {
	return ( ( isset( $expert_dental_specialist_checked ) && true == $expert_dental_specialist_checked ) ? true : false );
}

/* Sanitization Text*/
function expert_dental_specialist_sanitize_text( $expert_dental_specialist_text ) {
	return wp_filter_post_kses( $expert_dental_specialist_text );
}

function expert_dental_specialist_sanitize_dropdown_pages( $expert_dental_specialist_page_id, $expert_dental_specialist_setting ) {
  // Ensure $expert_dental_specialist_input is an absolute integer.
  $expert_dental_specialist_page_id = absint( $expert_dental_specialist_page_id );
  // If $expert_dental_specialist_page_id is an ID of a published page, return it; otherwise, return the default.
  return ( 'publish' == get_post_status( $expert_dental_specialist_page_id ) ? $expert_dental_specialist_page_id : $expert_dental_specialist_setting->default );
}

function expert_dental_specialist_sanitize_phone_number( $expert_dental_specialist_phone ) {
  return preg_replace( '/[^\d+]/', '', $expert_dental_specialist_phone );
}

// Sanitize the input
function expert_dental_specialist_sanitize_sidebar_position( $expert_dental_specialist_input ) {
    $expert_dental_specialist_valid = array( 'right', 'left' );

    if ( in_array( $expert_dental_specialist_input, $expert_dental_specialist_valid ) ) {
        return $expert_dental_specialist_input;
    } else {
        return 'right';
    }
}

function expert_dental_specialist_sanitize_copyright_position( $expert_dental_specialist_input ) {
    $expert_dental_specialist_valid = array( 'right', 'left', 'center' );

    if ( in_array( $expert_dental_specialist_input, $expert_dental_specialist_valid, true ) ) {
        return $expert_dental_specialist_input;
    } else {
        return 'right';
    }
}

function expert_dental_specialist_sanitize_choices( $expert_dental_specialist_input, $expert_dental_specialist_setting ) {
    global $wp_customize; 
    $expert_dental_specialist_control = $wp_customize->get_control( $expert_dental_specialist_setting->id ); 
    if ( array_key_exists( $expert_dental_specialist_input, $expert_dental_specialist_control->choices ) ) {
        return $expert_dental_specialist_input;
    } else {
        return $expert_dental_specialist_setting->default;
    }
}

// Sanitization callback function for logo width
function expert_dental_specialist_sanitize_logo_width($expert_dental_specialist_input) {
    $expert_dental_specialist_input = absint($expert_dental_specialist_input); // Convert to integer
    // Ensure the value is between 1 and 150
    return ($expert_dental_specialist_input >= 1 && $expert_dental_specialist_input <= 300) ? $expert_dental_specialist_input : 150; // Default to 270 if out of range
}